Como instalar o 'forticlient' (VPN para home office) no ubuntu 19.10?

Olá pessoal, em tempos de home office preciso instalar o ‘forticlient’ no meu ubuntu 19.10, no próprio site da ferramenta tem instruções mas quando chego na etapa nº2:

Adicione a seguinte linha em /etc/apt/sources.list

deb [arch = amd64] Index of /repo/ubuntu / biion multiverse

da isso:


Comando ‘deb’ não encontrado, você quis dizer:

** comando ‘deb3’ do deb quilt (0.65-3)**
** comando ‘debi’ do deb devscripts (2.19.6ubuntu1)**
** comando ‘edb’ do deb edb-debugger (1.0.0-1build2)**
** comando ‘debc’ do deb devscripts (2.19.6ubuntu1)**
** comando ‘dep’ do deb go-dep (0.5.4-2)**
** comando ‘xdeb’ do deb xdeb (0.6.7)**
** comando ‘dex’ do deb dex (0.8.0-2)**
** comando ‘derb’ do deb icu-devtools (63.2-2)**
** comando ‘dub’ do deb dub (1.16.0-1build1)**
** comando ‘dab’ do deb bsdgames (2.17-28)**

Experimente: sudo apt install

Lendo pelo google vi uma postagem onde orienta usar o comando da seguinte forma:


echo deb [arch=amd64] Index of /repo/ubuntu xenial multiverse >> /etc/apt/sources.list

Mas quando jogo isso no terminal, retorna ‘Permissão negada’

E agora Josés/Marias?

está em root?
tente colocar um “sudo” antes

Fiz o processo como root

Opa, sou um curioso no mundo Linux e fazendo testes aqui em casa encontrei essa solução:
https://hadler.me/linux/forticlient-sslvpn-deb-packages/

Não cheguei a olhar os fontes, mas ele funcionou perfeitamente no Ubuntu 19.10 e acredito que deve funcionar em suas derivantes. O cliente que está no repositório do Forticlient possui dependências que não estão mais disponíveis na versão 19.10(estavam na 19.04) porem apresentavam problemas para carregar a UI, pois não exibia o “icon tray”.

Valeu.

1 Curtida

Amigo, pelo retorno que vc postou aqui:

Comando ‘deb’ não encontrado, você quis dizer:

** comando ‘deb3’ do deb quilt (0.65-3)**
** comando ‘debi’ do deb devscripts (2.19.6ubuntu1)**
** comando ‘edb’ do deb edb-debugger (1.0.0-1build2)**
** comando ‘debc’ do deb devscripts (2.19.6ubuntu1)**
** comando ‘dep’ do deb go-dep (0.5.4-2)**
** comando ‘xdeb’ do deb xdeb (0.6.7)**
** comando ‘dex’ do deb dex (0.8.0-2)**
** comando ‘derb’ do deb icu-devtools (63.2-2)**
** comando ‘dub’ do deb dub (1.16.0-1build1)**
** comando ‘dab’ do deb bsdgames (2.17-28)**

Experimente: sudo apt install

vc está jogando o comando “deb [arch=amd64] https://…” no terminal.
O correto a se fazer é:

  • 1º abrir o arquivo sources.list que se encontra no diretório /etc/apt/ com o seu editor de texto favorito (no meu caso, usaria o comando sudo gedit /etc/apt/sources.list para abrir o arquivo);
  • 2º no final do arquivo colar o comando deb [arch=amd64] https://… e salvar o arquivo;
  • 3º atualizar o repositório sudo apt-get update;
  • 4º e por fim, instalar o Forticlient com sudo apt install forticlient

Para referências futuras deixo a documentação da instalação a baixo:

Forticlient - Next Generation Endpoint Protection

Abraço!

1 Curtida

Mano, sou um zero a esquerda nesse mundo linux, mas estou com o mint há quase um ano e estou configurando um zorin para minha chefa que tem uma carroça de 1gb de ram rs, e fiz questão de autenticar minha conta para AGRADECER MANO, MUITO OBRIGADO CARA POR ESSA DICA!

Alguém com experiência no Forcepoint?
VPN é meu último motivo para ainda ter que usar windows de vez em quando no home office.

a versão " **xenial" n tem mais suporte. tem de ir pra outra versão mais nova. e que " biion" é esse?

Oi! Qual o problema? Vou tentar te ajudar.

O primeiro problema: o Ubuntu que você usa não é um LTS e creio que o suporte dele já se encerrou (então não tem mais atualizações, não tem mais pacotes).

Então, eu recomendo que instale o Ubuntu 20.04 que tem suporte por cinco anos (até abril de 2025). Ou mesmo o KDE Neon, que é uma remasterização do Ubuntu com o software mais novo do KDE.

Eu uso o KDE Neon, e nele consegui configurar o FortiVPN no gerenciador de redes.

Escrevi um artigo sobre minha experiência: https://www.vivaolinux.com.br/dica/VPN-FortiVPN-no-Ubuntu/
Esse artigo funciona, mas já está datado. Depois que escrevi ele, a Forti corrigiu os bugs do aplicativo e agora ele funciona muito bem, mas eu disse: eu não uso o aplicativo da empresa, configurei a VPN diretamente no gerenciador de redes do KDE.

Outra coisa, você deve ser novato no mundo Linux. Sugiro que estude sobre o APT e os repositórios.

Complexo…

O suporte na VPN onde trabalho é complicado. E recentemente trocaram fornecedor para Forcepoint.
Primeira coisa: saber por experiência se tem um cliente Linux para ele. Se não tiver, via configuração de sistema eu nem tento, pois nem guia tem, e no Mac OS tem guia, mas não funciona.

Aliás, às vezes nem é má vontade, mas é que o suporte destes produtos já é tradicionalmente muito ruim. Já cansei de eu mesmo passar resposta de problema a suporte para pelo menos outros colegas em situação semelhante não terem o problema, quando é uma demanda muito urgente.

Eu já tinha até chutado o balde,mas de vez em quando o extinto SDA me anima a tentar alguma coisa.

https://manuais.ifsp.edu.br/books/forcepoint-firewall/page/cliente-vpn-c2s-com-strongswan-no-linux

vlw cara, eu usava o openforgui, mas no mint versão 20.1 ele não funciona, com a sua ajuda, consegui configurar o fortiClient

1 Curtida

Use o OpenConnect, uma ferramenta cross-plataform de VPNs:

Cisco AnyConnect (–protocol=anyconnect)
Juniper SSL VPN (–protocol=nc)
Pulse Connect Secure (–protocol=pulse
Palo Alto Networks GlobalProtect SSL VPN (–protocol=gp)
F5 Big-IP SSL VPN (–protocol=f5)
Fortinet Fortigate SSL VPN (–protocol=fortinet)

sudo apt install openconnect
sudo openconnect -b vpn.mydomain.com

sudo dnf install openconnect
sudo yum install openconnect
sudo pacman -S openconnect
2 Curtidas